﻿using UnityEngine;
using System.Collections;

public class ApproachPlayer : MonoBehaviour {
    public float moveSpeed;
    public float viewDistance;
    public LayerMask mask;
    public AudioClip killPlayerSound;

    private GameObject player;

	// Use this for initialization
	void Start () {
        player = GameObject.FindGameObjectWithTag("Player");
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    void FixedUpdate()
    {
        if (player != null)
        {
            Vector3 direction = Vector3.Normalize(player.transform.position - transform.position);
            float distance = Vector3.Distance(player.transform.position, transform.position);
            if (Physics.Raycast(transform.position, direction, distance, mask) == false & distance <= viewDistance)
            {
                Rigidbody rb = GetComponent<Rigidbody>();
                rb.velocity = direction * moveSpeed;
            }
        }
    }

    void OnCollisionEnter(Collision other)
    {
        if (other.gameObject.tag == "Player")
        {
            AudioSource.PlayClipAtPoint(killPlayerSound, other.transform.position);
            Object.Destroy(other.gameObject);
        }
    }
}
