﻿using UnityEngine;
using System.Collections;

public class Door : MonoBehaviour {
    public Vector3 openPosition;
    public Vector3 closedPosition;
    public bool isOpen;
    public float moveSpeed;
    public AudioClip openSound;
    public AudioClip closeSound;

    private AudioSource aSource;

	// Use this for initialization
	void Start () {
        aSource = GetComponent<AudioSource>();
	}
	
	// Update is called once per frame
	void Update () {
        Vector3 target = closedPosition;
        if (isOpen == true)
        {
            target = openPosition;
        }

        transform.localPosition = Vector3.MoveTowards(transform.localPosition, target, moveSpeed * Time.deltaTime);
	}

    public void open()
    {
        if (isOpen == false)
        {
            isOpen = true;
            aSource.PlayOneShot(openSound);
        }
    }

    public void close()
    {
        if (isOpen == true)
        {
            isOpen = false;
            aSource.PlayOneShot(closeSound);
        }
    }
}
