﻿using UnityEngine;
using System.Collections.Generic;

public class PressurePlate : MonoBehaviour {
    public bool isPressed;
    public bool sticky;
    public bool playerCanPress;
    public Color unpressedColor;
    public Color pressedColor;
    public AudioClip pressedSound;

    private List<Collider> pressing = new List<Collider>();
    private Renderer rend;
    private AudioSource aSource;

	// Use this for initialization
	void Start () {
        rend = GetComponent<Renderer>();
        aSource = GetComponent<AudioSource>();
	}
	
	// Update is called once per frame
	void Update () {

	}

    void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Enemy" | (playerCanPress == true & other.tag == "Player"))
        {
            if (isPressed == false)
            {
                aSource.PlayOneShot(pressedSound);
            }

            isPressed = true;
            rend.material.color = pressedColor;
            pressing.Add(other);
        }
    }

    void OnTriggerExit(Collider other)
    {
        pressing.Remove(other);

        if (pressing.Count == 0 & sticky == false)
        {
            isPressed = false;
            rend.material.color = unpressedColor;
        }
    }
}
